DEVKIT-DISKS(1)

NAME
devkit-disks - DeviceKit-disks command line tool

SYNOPSIS

devkit-disks [OPTIONS]

DESCRIPTION

devkit-disks is a simple command line client for the DeviceKit-disks(7) system bus service.

OPTIONS

--dump
    Dump all information about all devices. Please include this when filing bugs.

--enumerate
    Lists all object paths of devices know to the daemon.

--enumerate-device-files
    Lists all device files of devices know to the daemon.

--monitor
    Connect to the daemon and print a line every time an event happens.

--monitor-detail
    Like --monitor but prints the full details of the device whenever an event happens.

--show-info device_file
    Shows information about device_file.

--inhibit-polling device_file [-- program arg ...]
    Inhibits polling on device_file. If no program is given, polling is inhibited until Ctrl+C is pressed. Otherwise the program is spawned and the polling is only inhibited until the program terminates.

--inhibit-all-polling [-- program arg ...]
    Inhibits polling on all devices. If no program is given, polling is inhibited until Ctrl+C is pressed. Otherwise the program is spawned and the polling is only inhibited until the program terminates.

--mount device_file [--mount-fstype fstype] [--mount-options options]
    Mounts the device represented by device_file using the file system fstype and a comma-separated list of options.

--unmount device_file [--unmount-options options]
    Unmounts the device represented by device_file using a comma-separated list of options.

--ata-smart-refresh device_file [--ata-smart-wakeup]
    Refreshes ATA SMART data for device_file. If the disk is sleeping it will not be woken up unless --ata-smart-wakeup is passed. will be used.

--ata-smart-refresh device_file --ata-smart-simulate blob
    Read ATA SMART data from blob for device_file. This can only be done by the super user and is typically used for testing that clients relying on the ATA SMART data provided by DeviceKit-disks behave correctly. The libatasmart git repository at http://git.0pointer.de/?p=libatasmart.git;a=summary contains a collection of blobs from failing disks.

--inhibit [-- program arg ...]
    Inhibits clients from invoking methods on the daemon that require authorization (all methods will return the org.freedesktop.DeviceKit.Disks.Error.Inhibited error) if the caller is not the super user. This is typically used by OS installers and other programs that expects full control of the system, specifically to avoid automounting devices. Only the super user can do this.

    If no program is given, the daemon is inhibited until Ctrl+C is pressed. Otherwise the program is spawned and the daemon is only inhibited until the program terminates.

--help
    Show help options.

AUTHOR

Written by David Zeuthen <david@fubar.dk> with a lot of help from many others.

BUGS

Please send bug reports to either the distribution or the hal mailing list, see http://lists.freedesktop.org/mailman/listinfo/hal on how to subscribe.

SEE ALSO

devkit-disks-daemon(8), DeviceKit-disks(7),